| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Namespaces | Functions
categorical_logit_log.hpp File Reference
`#include <stan/math/prim/scal/err/check_bounded.hpp>`
`#include <stan/math/prim/scal/err/check_finite.hpp>`
`#include <stan/math/prim/arr/fun/log_sum_exp.hpp>`
`#include <stan/math/prim/mat/fun/log_softmax.hpp>`
`#include <stan/math/prim/mat/fun/log_sum_exp.hpp>`
`#include <stan/math/prim/mat/fun/sum.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`
`#include <boost/math/tools/promotion.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions
template<bool propto, typename T_prob >
boost::math::tools::promote_args < T_prob >::type | stan::math::categorical_logit_log (int n, const Eigen::Matrix< T_prob, Eigen::Dynamic, 1 > &beta)
template<typename T_prob >
boost::math::tools::promote_args < T_prob >::type | stan::math::categorical_logit_log (int n, const Eigen::Matrix< T_prob, Eigen::Dynamic, 1 > &beta)
template<bool propto, typename T_prob >
boost::math::tools::promote_args < T_prob >::type | stan::math::categorical_logit_log (const std::vector< int > &ns, const Eigen::Matrix< T_prob, Eigen::Dynamic, 1 > &beta)
template<typename T_prob >
boost::math::tools::promote_args < T_prob >::type | stan::math::categorical_logit_log (const std::vector< int > &ns, const Eigen::Matrix< T_prob, Eigen::Dynamic, 1 > &beta)

[ Stan Home Page ] © 2011–2015, Stan Development Team.